# $Revision: 1.3 $, $Date: 2009/09/14 06:55:30 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	MooseX
%define	pnam	Getopt
Summary:	MooseX::Getopt - A Moose role for processing command line options
Summary(pl.UTF-8):	MooseX::Getopt - narzędzie Moose do przetwarzania opcji z linii komend
Name:		perl-MooseX-Getopt
Version:	0.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MooseX/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2900e4b9ad701aac0dad289a3a04d5f2
URL:		http://search.cpan.org/dist/MooseX-Getopt/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Getopt::Long::Descriptive)
BuildRequires:	perl-Moose >= 0.56
BuildRequires:	perl-Test-Exception >= 0.21
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a role which provides an alternate constructor for creating
objects using parameters passed in from the command line.

This module attempts to DWIM as much as possible with the command line
params by introspecting your class's attributes. It will use the name
of your attribute as the command line option, and if there is a type
constraint defined, it will configure Getopt::Long to handle the
option accordingly.

You can use the trait MooseX::Getopt::Meta::Attribute::Trait or the
attribute metaclass MooseX::Getopt::Meta::Attribute to get non-default
commandline option names and aliases.

You can use the trait MooseX::Getopt::Meta::Attribute::Trait::NoGetopt
or the attribute metaclass MooseX::Getopt::Meta::Attribute::NoGetopt
to have MooseX::Getopt ignore your attribute in the commandline
options.

%description -l pl.UTF-8
Jest to narzędzie które dostarcza alternatywny konstruktor do
tworzenia objektówkorzystających z parametrów przekazanych z linii
poleceń.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/MooseX/*.pm
%{perl_vendorlib}/MooseX/Getopt
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MooseX-Getopt.spec,v $
Revision 1.3  2009/09/14 06:55:30  amateja
- updated to 0.22

Revision 1.2  2009/08/27 08:44:27  amateja
- updated to 0.21

Revision 1.1  2009/06/23 06:21:28  amateja
- initial

